Summarize model integrations
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/provider-integrations/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/provider-integrations/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/provider-integrations/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"total": 123,
"byStatus": {
"active": 123,
"retiring": 123,
"deprecated": 123
},
"providers": [
{
"provider": "aws",
"providerAccountCount": 123,
"modelCount": 123
}
]
}
}Provider Integrations
Summarize model integrations
Summarize the model integrations the caller can use.
GET
/
api
/
svc
/
v1
/
provider-integrations
/
summary
Summarize model integrations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Provider integration type to summarize.
Available options:
model Response
200 - application/json
Model integration counts by lifecycle status and provider.
Provider integration summary.
Show child attributes
Show child attributes
Was this page helpful?